<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated by Fujitsu Interstage XWand B0250 -->






<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd http://www.w3.org/1999/xlink http://www.xbrl.org/2003/xlink-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost" xlink:label="FinanceIncomeCost" xlink:title="FinanceIncomeCost"/>
    <link:label xlink:type="resource" xlink:label="label_FinanceIncomeCost" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:title="label_FinanceIncomeCost" xml:lang="pt" id="label_FinanceIncomeCost">Custo (rendimento) financeiro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinanceIncomeCost" xlink:to="label_FinanceIncomeCost" xlink:title="label: FinanceIncomeCost to label_FinanceIncomeCost"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_LeasesInterestPaid" xlink:label="LeasesInterestPaid" xlink:title="LeasesInterestPaid"/>
    <link:label xlink:type="resource" xlink:label="label_LeasesInterestPaid" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_LeasesInterestPaid" xml:lang="pt" id="label_LeasesInterestPaid">Pagamento de juros de locações</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LeasesInterestPaid" xlink:to="label_LeasesInterestPaid" xlink:title="label: LeasesInterestPaid to label_LeasesInterestPaid"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_LeasesInterestPaid" xlink:label="LeasesInterestPaid_2" xlink:title="LeasesInterestPaid"/>
    <link:label xlink:type="resource" xlink:label="label_LeasesInterestPaid_2" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_LeasesInterestPaid" xml:lang="pt" id="label_LeasesInterestPaid_2">As saídas de caixa para pagamento de juros de locações, classificadas como atividades de financiamento.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LeasesInterestPaid_2" xlink:to="label_LeasesInterestPaid_2" xlink:title="label: LeasesInterestPaid to label_LeasesInterestPaid"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_LoansInterestPaid" xlink:label="LoansInterestPaid" xlink:title="LoansInterestPaid"/>
    <link:label xlink:type="resource" xlink:label="label_LoansInterestPaid" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_LoansInterestPaid" xml:lang="pt" id="label_LoansInterestPaid">Pagamento de juros de empréstimos obtidos</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LoansInterestPaid" xlink:to="label_LoansInterestPaid" xlink:title="label: LoansInterestPaid to label_LoansInterestPaid"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_LoansInterestPaid" xlink:label="LoansInterestPaid_2" xlink:title="LoansInterestPaid"/>
    <link:label xlink:type="resource" xlink:label="label_LoansInterestPaid_2" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_LoansInterestPaid" xml:lang="pt" id="label_LoansInterestPaid_2">As saídas de caixa para pagamento de juros de empréstimos obtidos, classificadas como atividades de financiamento.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LoansInterestPaid_2" xlink:to="label_LoansInterestPaid_2" xlink:title="label: LoansInterestPaid to label_LoansInterestPaid"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_NetChangeInLoans" xlink:label="NetChangeInLoans" xlink:title="NetChangeInLoans"/>
    <link:label xlink:type="resource" xlink:label="label_NetChangeInLoans" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_NetChangeInLoans" xml:lang="pt" id="label_NetChangeInLoans">O valor líquido de pagamentos e recebimentos de empréstimos, classificadas como atividades de financiamento. [Consultar: Empréstimos] </link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetChangeInLoans" xlink:to="label_NetChangeInLoans" xlink:title="label: NetChangeInLoans to label_NetChangeInLoans"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_NetChangeInLoans" xlink:label="NetChangeInLoans_2" xlink:title="NetChangeInLoans"/>
    <link:label xlink:type="resource" xlink:label="label_NetChangeInLoans_2" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_NetChangeInLoans" xml:lang="pt" id="label_NetChangeInLoans_2">Variação líquida de empréstimos obtidos</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetChangeInLoans_2" xlink:to="label_NetChangeInLoans_2" xlink:title="label: NetChangeInLoans to label_NetChangeInLoans"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xlink:label="TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xlink:title="TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent"/>
    <link:label xlink:type="resource" xlink:label="label_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xml:lang="pt" id="label_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent">Devedores, acréscimos e diferimentos não correntes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xlink:to="label_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xlink:title="label: TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent to label_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:label="TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:title="TradeDebtorsAccruedIncomeAndDeferredCostsCurrent"/>
    <link:label xlink:type="resource" xlink:label="label_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xml:lang="pt" id="label_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent">Devedores, acréscimos e diferimentos correntes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:to="label_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:title="label: TradeDebtorsAccruedIncomeAndDeferredCostsCurrent to label_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:label="TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:title="TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent"/>
    <link:label xlink:type="resource" xlink:label="label_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xml:lang="pt" id="label_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent">Credores, acréscimos e diferimentos não correntes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:to="label_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:title="label: TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent to label_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:label="TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:title="TradeCreditorsAccruedCostsAndDeferredIncomeCurrent"/>
    <link:label xlink:type="resource" xlink:label="label_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xml:lang="pt" id="label_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent">Credores, acréscimos e diferimentos correntes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:to="label_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:title="label: TradeCreditorsAccruedCostsAndDeferredIncomeCurrent to label_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_AdjustmentsForProvisionsAndEmployeeBenefits" xlink:label="AdjustmentsForProvisionsAndEmployeeBenefits" xlink:title="AdjustmentsForProvisionsAndEmployeeBenefits"/>
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForProvisionsAndEmployeeBenefits" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_AdjustmentsForProvisionsAndEmployeeBenefits" xml:lang="pt" id="label_AdjustmentsForProvisionsAndEmployeeBenefits">Ajustamentos para provisões e benefícios concedidos a empregados</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForProvisionsAndEmployeeBenefits" xlink:to="label_AdjustmentsForProvisionsAndEmployeeBenefits" xlink:title="label: AdjustmentsForProvisionsAndEmployeeBenefits to label_AdjustmentsForProvisionsAndEmployeeBenefits"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xml:lang="pt" id="label_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities">Recebimentos da venda de ativos fixos tangíveis e intangíveis, classificados como atividades de investimento</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="label_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="label: ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities to label_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xml:lang="pt" id="label_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities">Compra de ativos fixos tangíveis e intangíveis, classificados como atividades de investimento</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="label_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="label: PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities to label_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:label="PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:title="PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates"/>
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xml:lang="pt" id="label_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates">Aquisição de interesses em subsidiarias, líquido caixa adquirido, e associadas</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:to="label_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:title="label: PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates to label_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_BasicAndDilutedEarningsLossPerShare" xlink:label="BasicAndDilutedEarningsLossPerShare" xlink:title="BasicAndDilutedEarningsLossPerShare"/>
    <link:label xlink:type="resource" xlink:label="label_BasicAndDilutedEarningsLossPerShare" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_BasicAndDilutedEarningsLossPerShare" xml:lang="pt" id="label_BasicAndDilutedEarningsLossPerShare">Resultado básico e diluído por ação</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicAndDilutedEarningsLossPerShare" xlink:to="label_BasicAndDilutedEarningsLossPerShare" xlink:title="label: BasicAndDilutedEarningsLossPerShare to label_BasicAndDilutedEarningsLossPerShare"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_GainsLossesInOtherInvestments" xlink:label="GainsLossesInOtherInvestments" xlink:title="GainsLossesInOtherInvestments"/>
    <link:label xlink:type="resource" xlink:label="label_GainsLossesInOtherInvestments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_GainsLossesInOtherInvestments" xml:lang="pt" id="label_GainsLossesInOtherInvestments">Ganhos (Perdas) em outros investimentos</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainsLossesInOtherInvestments" xlink:to="label_GainsLossesInOtherInvestments" xlink:title="label: GainsLossesInOtherInvestments to label_GainsLossesInOtherInvestments"/>
  </link:labelLink>
</link:linkbase>
